class Admin::ProjectsController < OrbitMemberController
  layout "member_plugin"

  before_action :set_plugin
  before_action :get_settings,:only => [:new, :edit, :setting]

  def index
    @projects = Project.all
  end

  def new
    @member = MemberProfile.find_by(:uid=>params['uid']) rescue nil
    @project = Project.new
  end

  def create
    @member = MemberProfile.find(project_params['member_profile_id']) rescue nil
    @project = Project.new(project_params)
    @project.save
    redirect_to '/admin/members/'+@member.to_param+'/Project'
  end

  def edit
    @member = MemberProfile.find_by(:uid=>params['uid']) rescue nil
    @project = Project.find(params[:id])
  end

  def update
    @member = MemberProfile.find(project_params['member_profile_id']) rescue nil
    @project = Project.find(params[:id])
    @project.update_attributes(project_params)
    @project.save
    redirect_to '/admin/members/'+@member.to_param+'/Project'
  end

  def destroy
    @project = Project.find(params[:id])
    @project.destroy
  end

  def toggle_hide
    if params[:ids]
      @projects = Project.any_in(_id: params[:ids])

      @projects.each do |project|
        project.is_hidden = params[:disable]
        project.save
      end
    end

    render json: {"success"=>true}
  end

  def setting
  end

  def frontend_setting
    @member = MemberProfile.find_by(:uid=>params['uid']) rescue nil
    @intro = ProjectIntro.find_by(:member_profile_id=>@member.id) rescue nil
    @intro = @intro.nil? ? ProjectIntro.new({:member_profile_id=>@member.id}) : @intro
  end

  def update_frontend_setting
    @member = MemberProfile.find(intro_params['member_profile_id']) rescue nil
    @intro = ProjectIntro.find_by(:member_profile_id=>@member.id) rescue nil
    @intro = @intro.nil? ? ProjectIntro.new({:member_profile_id=>@member.id}) : @intro
    @intro.update_attributes(intro_params)
    @intro.save
    redirect_to '/admin/members/'+@member.to_param+'/Project'
  end

  def get_settings
    @project_types = ProjectType.all
  end

  def set_plugin
    @plugin = OrbitApp::Plugin::Registration.all.select{|plugin| plugin.app_name.eql? 'Project'}.first
  end

  private

  def project_params
    params.require(:project).permit! rescue nil
  end

  def intro_params
    params.require(:project_intro).permit! rescue nil
  end
end